Skip to main content
GET
/
secretManagerAccess
/
{secretManagerAccessId}
/
secrets
List upstream secrets from secret provider
curl --request GET \
  --url https://api.qovery.com/secretManagerAccess/{secretManagerAccessId}/secrets \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

secretManagerAccessId
string<uuid>
required

Secret Manager Access ID

Query Parameters

namePrefix
string

Response

List upstream secrets from secret provider

results
string[]
required